ALARM(3F)

NAME
alarm - execute a subroutine after a specified time

SYNOPSIS
integer function alarm (time, proc)
integer time
external proc

DESCRIPTION
This routine arranges for subroutine proc to be called after time seconds. If time is ``0'', the alarm is turned off and no routine will be called. The returned value will be the time remaining on the last alarm.

FILES
/usr/lib/libU77.a

SEE ALSO
alarm(3C), sleep(3F), signal(3F)

BUGS
Alarm and sleep interact. If sleep is called after alarm, the alarm process will never be called. SIGALRM will occur at the lesser of the remaining alarm time or the sleep time.